Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1386563 - Review Request: python-ruamel-yaml - YAML 1.2 loader/dumper package for Python [NEEDINFO]
Summary: Review Request: python-ruamel-yaml - YAML 1.2 loader/dumper package for Python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-19 09:02 UTC by Chandan Kumar
Modified: 2017-02-14 21:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-14 21:26:10 UTC
Type: ---
panemade: fedora-review+
sdodson: needinfo? (chkumar246)
jchaloup: needinfo? (chkumar)


Attachments (Terms of Use)

Description Chandan Kumar 2016-10-19 09:02:50 UTC
Spec URL: https://chandankumar.fedorapeople.org/python-ruamel-yaml.spec
SRPM URL: https://chandankumar.fedorapeople.org/python-ruamel-yaml-0.12.14-1.fc24.src.rpm


Description: ruamel.yaml is a YAML 1.2 loader/dumper package for Python.
It is a derivative of Kirill Simonov’s PyYAML 3.11

Fedora Account System Username: chandankumar

Successful Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=16122587

Comment 1 Parag AN(पराग) 2016-10-19 12:53:16 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

==> This is expected as required dependency python-ruamel-ordereddict not in configured/rawhide repository yet.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* MIT/X11 (BSD like)", "Unknown or generated". 46
     files have unknown license. Detailed output of licensecheck in
     /home/parag/1386563-python-ruamel-yaml/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -ruamel-yaml , python3-ruamel-yaml , python-ruamel-yaml-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.21 starting (python version = 3.5.2)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.2.21
INFO: Mock Version: 1.2.21
Finish: chroot init
INFO: installing package(s): /home/parag/1386563-python-ruamel-yaml/results/python3-ruamel-yaml-0.12.14-1.fc26.x86_64.rpm /home/parag/1386563-python-ruamel-yaml/results/python-ruamel-yaml-debuginfo-0.12.14-1.fc26.x86_64.rpm /home/parag/1386563-python-ruamel-yaml/results/python2-ruamel-yaml-0.12.14-1.fc26.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 26 --disableplugin=local --setopt=deltarpm=false install /home/parag/1386563-python-ruamel-yaml/results/python3-ruamel-yaml-0.12.14-1.fc26.x86_64.rpm /home/parag/1386563-python-ruamel-yaml/results/python-ruamel-yaml-debuginfo-0.12.14-1.fc26.x86_64.rpm /home/parag/1386563-python-ruamel-yaml/results/python2-ruamel-yaml-0.12.14-1.fc26.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: python2-ruamel-yaml-0.12.14-1.fc26.x86_64.rpm
          python3-ruamel-yaml-0.12.14-1.fc26.x86_64.rpm
          python-ruamel-yaml-debuginfo-0.12.14-1.fc26.x86_64.rpm
          python-ruamel-yaml-0.12.14-1.fc26.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.




Requires
--------
python-ruamel-yaml-debuginfo (rpmlib, GLIBC filtered):

python2-ruamel-yaml (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    python(abi)
    python-ruamel-ordereddict
    python-setuptools
    python-typing
    rtld(GNU_HASH)

python3-ruamel-yaml (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.5m.so.1.0()(64bit)
    python(abi)
    python3-ruamel-ordereddict
    python3-setuptools
    python3-typing
    rtld(GNU_HASH)



Provides
--------
python-ruamel-yaml-debuginfo:
    python-ruamel-yaml-debuginfo
    python-ruamel-yaml-debuginfo(x86-64)

python2-ruamel-yaml:
    python-ruamel.yaml
    python-ruamel.yaml(x86-64)
    python2-ruamel-yaml
    python2-ruamel-yaml(x86-64)
    python2.7dist(ruamel.yaml)
    python2dist(ruamel.yaml)

python3-ruamel-yaml:
    python3-ruamel-yaml
    python3-ruamel-yaml(x86-64)
    python3.5dist(ruamel.yaml)
    python3dist(ruamel.yaml)



Unversioned so-files
--------------------
python2-ruamel-yaml: /usr/lib64/python2.7/site-packages/_ruamel_yaml.so
python3-ruamel-yaml: /usr/lib64/python3.5/site-packages/_ruamel_yaml.cpython-35m-x86_64-linux-gnu.so

Source checksums
----------------
https://files.pythonhosted.org/packages/source/r/ruamel.yaml/ruamel.yaml-0.12.14.tar.gz :
  CHECKSUM(SHA256) this package     : e7e2996bca3faf6eee94e13b72d32b9ba86089397c5e0c581f0860cd35b643f0
  CHECKSUM(SHA256) upstream package : e7e2996bca3faf6eee94e13b72d32b9ba86089397c5e0c581f0860cd35b643f0


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1386563 -m fedora-rawhide-x86_64

APPROVED.

Comment 2 Gwyn Ciesla 2016-10-20 12:18:43 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-ruamel-yaml

Comment 3 Fedora Update System 2016-10-22 03:54:57 UTC
python-ruamel-yaml-0.12.14-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-60b89d72e3

Comment 4 Fedora Update System 2016-10-25 02:22:19 UTC
python-ruamel-yaml-0.12.14-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9eb6ae5416

Comment 5 Fedora Update System 2016-10-25 04:22:13 UTC
python-ruamel-yaml-0.12.14-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-db16e19676

Comment 6 Fedora Update System 2016-10-26 03:21:17 UTC
python-ruamel-yaml-0.12.14-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cc1aa72c6f

Comment 7 Fedora Update System 2016-10-26 04:24:29 UTC
python-ruamel-yaml-0.12.14-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-84c28903b4

Comment 8 Orion Poplawski 2016-10-26 20:49:58 UTC
I've checked in some changes to enable building the python3 package on Fedora and EPEL, and to run the tests.  We'll need python2-typing in epel before it will build there.

Comment 9 Orion Poplawski 2016-10-26 21:01:00 UTC
python2-typing update for EPEL7 - https://bodhi.fedoraproject.org/updates/python2-typing-3.5.2.2-2.el7

Comment 10 Orion Poplawski 2016-10-26 21:42:22 UTC
Hmm, python2 tests fail on EPEL7.  First due to a bug in python-py, see bug #1389113.  Updating python-py on my system I then get:

=================================== FAILURES ===================================
____________________ TestAnchorsAliases.test_reused_anchor _____________________

self = <test_anchor.TestAnchorsAliases instance at 0x2e62b00>

    def test_reused_anchor(self):
        yaml = '''
            - &a
              x: 1
            - <<: *a
            - &a
              x: 2
            - <<: *a
            '''
>       with pytest.warns(ReusedAnchorWarning):
E       AttributeError: 'module' object has no attribute 'warns'

_test/test_anchor.py:243: AttributeError

which is probably due to an old pytest.

With python34 I get:

E   ImportError: No module named 'typing'

Looks like the typing module can in with python 3.5.  Perhaps we can get a python34-typing package.

Comment 11 Scott Dodson 2017-02-08 19:14:40 UTC
What's the status of this? Looks like the review is approved and it's been sitting in testing for 4 months, does it just need to be manually flipped to stable or are there still outstanding problems?

Comment 12 Parag AN(पराग) 2017-02-09 04:41:37 UTC
Hi Soctt,
    I just checked this https://admin.fedoraproject.org/pkgdb/package/rpms/python-ruamel-yaml and found that I am not the owner of this package. From that URL it looks like "chandankumar" is the only person who owns this package. 
   I now checked https://admin.fedoraproject.org/accounts/user/view/sdodson and found that you have all the required group membership and part of the packager group. Then I checked https://bodhi.fedoraproject.org/updates/FEDORA-2016-84c28903b4 and found that you have not provided any feedback comment or karma on that update to help it move further.
   Now how can this update becomes stable? Either Chandakumar need to push it himself or that update need to get +3 karma.

Comment 13 Scott Dodson 2017-02-09 22:28:48 UTC
Chandan Kumar,

Is this package ready to be pushed to stable?

Comment 14 Jan Chaloupka 2017-02-10 14:07:34 UTC
F24 build fails on f24 with:

>>> import ruamel.yaml
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python2.7/site-packages/ruamel/yaml/__init__.py", line 81, in <module>
    from ruamel.yaml.main import *  # NOQA
  File "/usr/lib64/python2.7/site-packages/ruamel/yaml/main.py", line 21, in <module>
    StreamType = Union[BinaryIO, IO[str], StringIO]
  File "/usr/lib/python2.7/site-packages/typing.py", line 549, in __getitem__
    dict(self.__dict__), parameters)
  File "/usr/lib/python2.7/site-packages/typing.py", line 479, in __new__
    params.append(_type_check(p, msg))
  File "/usr/lib/python2.7/site-packages/typing.py", line 298, in _type_check
    raise TypeError(msg + " Got %.100r." % (arg,))
TypeError: Union[arg, ...]: each arg must be a type. Got <class StringIO.StringIO at 0x7f0026d6fae0>.

Installing the ruamel.yaml via pip the import works.

Comment 15 Jan Chaloupka 2017-02-10 14:10:26 UTC
The same error with python2-ruamel-yaml-0.13.13-1.fc26.x86_64 build from dist-git on f24.

Comment 16 Jan Chaloupka 2017-02-10 14:18:07 UTC
Ok, the culprit is actually python2-typing rpm. With 3.5.2.2-2.fc25 I am able to import the ruamel.yaml.

Can you lower bound the minimal python2-typing version? E.g.
[Build]Requires:  python2-typing >= 3.5.2.2-2

As I don't see any 3.5.2.2 build for f24, the f24 update should be obsoleted of the python2-typing should be built for f24 as well.

Comment 17 Orion Poplawski 2017-02-10 15:53:19 UTC
(In reply to Jan Chaloupka from comment #16)
> Ok, the culprit is actually python2-typing rpm. With 3.5.2.2-2.fc25 I am
> able to import the ruamel.yaml.
> 
> Can you lower bound the minimal python2-typing version? E.g.
> [Build]Requires:  python2-typing >= 3.5.2.2-2

absolutely

Comment 18 Fedora Update System 2017-02-13 17:51:51 UTC
python-ruamel-yaml-0.13.13-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b6e6e0d463

Comment 19 Fedora Update System 2017-02-14 00:54:39 UTC
python-ruamel-yaml-0.13.13-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b6e6e0d463

Comment 20 Fedora Update System 2017-02-14 21:26:10 UTC
python-ruamel-yaml-0.13.13-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.